# -*- mode: rpm-spec; coding: utf-8 -*-
Summary: Transport and Economic Simulation Game
Summary(ru_RU.UTF-8): Транспортно-экономическая игра-симулятор
Name: simutrans
Version: 0.99.17.1
Release: alt1.r1533
License: Artistic
Group: Games/Strategy
URL: http://www.simutrans.com/
Requires: simutrans-pak >= 0.99.17.1
Packager: Michael Shigorin <mike@altlinux.org>

BuildRequires: liballegro-devel libSDL-devel libSDL_mixer-devel zlib-devel libogg-devel libvorbis-devel libsmpeg-devel gcc-c++ libstdc++-devel

Source0: %name-%version.tar.bz2
Source1: config.default
Source2: simutrans.run
Source3: simutrans.desktop
Source4: simutrans.png
Source5: simutrans_langtabs-99-17.tar.bz2

%description
Simutrans is a freeware transportation simulator that runs under
Windows, Linux, and a few other operating systems (Apple Macintosh
with Intel processors, BEOS). It's similar to Transport Tycoon, Transport Tycoon
Deluxe and Transport Giant.

You take on the role of operating a transportation company, and your
goal is to get goods of various kinds, as well as passengers and mail,
from one place to the next.

Don't be fooled by the tile-based graphics - this is a very complex
game, and it is constantly evolving, with new features being added. It
is a living game, and consistently being made better and better.

%description -l ru_RU.UTF-8
Simutrans - это свободный (freeware) транспортный симулятор, работающий
под Windows, Linux и несколькими другими операционными системами
(Apple Macintosh на процессорах Intel, BeOS). Simutrans похож на 
Transport Tycoon, Transport Tycoon Deluxe и Transport Giant.

В ходе игры Вы выступаете в роли управляющего транспортной компании, и Вашей
задачей является доставка различных грузов, пассажиров и почты из
одного места в другое.

Не придавайте слишком большое значение тому, что графика в игре сравнительно
проста - сама игра очень сложна и постоянно развивается, в неё добавляются
новые возможности. Это живой, развивающийся проект, который становится со
временем лучше и лучше.

%prep
%setup -q -a 5
cp -pr %SOURCE1 ./

%build
make

%install
rm -rf %buildroot
mkdir -p %buildroot{%_libexecdir/simutrans,%_bindir,%_iconsdir,%_desktopdir}

install -m 0755 sim %buildroot/%_libexecdir/simutrans/simutrans.bin
cp -pr simutrans/{config,font,music,text} %buildroot%_libexecdir/simutrans/

sed -e 's,@LIBEXECDIR@,%_libexecdir,g' %SOURCE2 > %buildroot%_bindir/simutrans
chmod 0755 %buildroot%_bindir/simutrans
install -m 0644 %SOURCE3 %buildroot%_desktopdir/
install -m 0644 %SOURCE4 %buildroot%_iconsdir/

%clean

%post
%update_menus

%postun
%update_menus

%files
%doc simutrans/*.txt
%_bindir/*
%_libexecdir/simutrans
%_iconsdir/*
%_desktopdir/*

%changelog
* Tue Jan 08 2008 Michael Shigorin <mike@altlinux.org> 0.99.17.1-alt1.r1533
- rebuilt for Sisyphus

* Sat Jan  5 2008 Alexey Morozov <morozov@altlinux.org> 0.99.17.1-alt1.r1533
- Initial build for ALTLinux (SuSE binary-only spec was taken as
  starting point). 
